#
# spec file for package ghostscript-library (Version 8.15.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs diffutils ed fdupes file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libjpeg libjpeg-devel libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libuuid1 libvolume_id libxcrypt libxml2 libxml2-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit t1utils tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           ghostscript-library
%if %suse_version > 1020
BuildRequires:  cups-devel cups-libs ed fdupes flex freetype2-devel gcc-c++ glib2-devel libpng-devel libtiff-devel libxml2-devel openssl-devel t1utils xorg-x11-devel
%else
BuildRequires:  cups-devel cups-libs ed flex freetype2-devel gcc-c++ glib2-devel libpng-devel libtiff-devel libxml2-devel openssl-devel t1utils xorg-x11-devel
%endif
%if "%(xft-config --prefix)" == "/usr"
%define	xfontdir   /usr/share/fonts
%define fonts      /usr/share/fonts/truetype:/usr/share/fonts/Type1
%else
%define xfontdir   /usr/X11R6/lib/X11/fonts
%define fonts      /usr/X11R6/lib/X11/fonts/truetype:/usr/X11R6/lib/X11/fonts/Type1
%endif
Url:            http://www.cs.wisc.edu/~ghost/
%define   extnm 0
%define   libgs 1
%define   GSVER 8.15.4
%define  GSMAIN 8.15
%define    JPEG 6b
%define PCL3VER 3.3
%define HPDJVER 2.6
%define  HP820C 0.2.0
%define   PRINT 4.2.7
%define   HPIJS -1.7.1
%define    OMNI 0.9.2
Group:          System/Libraries
%if "%name" != "ghostscript-mini"
Provides:       ghostscript gs gs_lib pstoraster ghostscript-serv ghostscript_any
Obsoletes:      gs_lib ghostscript-serv
Requires:       /usr/bin/hpijs
Conflicts:      ghostscript-mini
%else  # if ghostscript-mini
Provides:       ghostscript gs gs_lib pstoraster ghostscript-serv ghostscript_any ghostscript-omni ghostscript-fonts-std ghostscript-fonts-other ghostscript-fonts-rus
Obsoletes:      gs_lib ghostscript-serv
Conflicts:      ghostscript-library
%endif # if ghostscript-mini
AutoReqProv:    on
Summary:        Necessary Files for Running Ghostscript
Version:        8.15.4
Release:        3.8
License:        GPL v2 or later
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        espgs-%{GSVER}.tar.bz2
Source1:        jpegsrc.v%{JPEG}.tar.bz2
# http://www.ghostscript.com/article/44.html
# ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/ghostscript-fonts-std-8.11.tar.gz
Source2:        gnu-gs-fonts-std-8.11.tar.bz2
Source3:        gnu-gs-fonts-other-6.0.tar.bz2
Source5:        hpijs.list.bz2
Source6:        gimp-print-%{PRINT}.tar.bz2
Source7:        Omni-%{OMNI}.tar.bz2
Source9:        epson740.tar.bz2
Source10:       gdevbff.c.bz2
Source11:       gdev820c.c.bz2
Source12:       gdevcd8-cdj880.c.bz2
Source13:       gdevcd8-chp2200.c.bz2
Source14:       gs_rusfonts.tar.bz2
Source20:       hpdj-%{HPDJVER}.tar.bz2
Source30:       gs550j03.tar.bz2
Source40:       fonts.scale.nimbus-sans-condensed
Source50:       glib-config
Source60:       rpmlintrc
Patch0:         espgs-%{GSVER}.dif
Patch1:         espgs-8.15.2rc1-pdfrange.dif
Patch2:         espgs-8.15.2rc1-pdfsec.dif
Patch3:         espgs-8.15.4-overprint.dif
Patch4:         espgs-8.15.3-sgirdb.dif
Patch10:        gimp-print-%{PRINT}.dif
Patch11:        gimp-print-%{PRINT}-pcl.dif
Patch12:        gimp-print-%{PRINT}-epson_horizontal_adjustment.patch
Patch13:        gimp-print-4.2.7-debug.dif
Patch14:        gimp-print-4.2.7-nb.dif
Patch20:        hpdj-2.6-gs8.15.dif
Patch30:        Omni-%{OMNI}.dif
Patch40:        gnu-gs-fonts-std-8.11.patch
Patch45:        espgs-8.15.3-CESA-2008-001.dif
Patch50:        ghostscript-CVE-2009-0583.patch
Patch51:        ghostscript-CVE-2009-0196.patch
Patch52:        ghostscript-CVE-2009-0792.patch
Patch53:        ghostscript-BCN-492765.patch

%description
This package contains all start-up files for calling gs (Ghostscript).

Find some useful documentation about a few printer drivers in the
directory:

/usr/share/ghostscript/8.15/doc/

Read the files use.txt, devices.txt, and, for the experimental drivers
cdj670, cdj850, cdj890, and cdj1600, the file readme.hp8 in the
subdirectory hp8xx/.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%debug_package
%if "%name" != "ghostscript-mini"

%package     -n ghostscript-x11
License:        GPL v2 or later
Conflicts:      ghostscript-vga ghostscript-both
PreReq:         fileutils
Requires:       ghostscript-library ghostscript-fonts-std
Summary:        Ghostscript for the X Window System
Group:          Productivity/Publishing/PS
Provides:       ghostscript_any gs_x11 ghostscript_x11
Obsoletes:      gs_x11
AutoReqProv:    on

%description -n ghostscript-x11
If you plan to preview PostScript documents under the X Window System
you need to install this.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-fonts-std
License:        GPL v2 or later
Summary:        Standard Fonts for Ghostscript
PreReq:         fileutils %suseconfig_fonts_prereq
Group:          Productivity/Publishing/PS
Provides:       gs_fonts
Obsoletes:      gs_fonts

%description -n ghostscript-fonts-std
The necessary fonts for the PostScript interpreter Ghostscript.  The
URW fonts (URW Software, Poppenbtteler Bogen 29A, D-22399 Hamburg,
Germany).



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-ijs-devel
License:        GPL v2 or later
Summary:        IJS development kit
PreReq:         ghostscript-library
Provides:       ghostscript-library:/usr/bin/ijs-config
Group:          Development/Libraries/C and C++

%description -n ghostscript-ijs-devel
Package includes the ijs-config script together with the required
header C files and the static ijs client library.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-omni
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Omni Toolkit for Ghostscript
PreReq:         ghostscript-library
Requires:       libxml2-devel glibc-devel zlib-devel libstdc++-devel
Group:          Productivity/Publishing/PS

%description -n ghostscript-omni
The Omni printer driver provides support for over 450 printers using
the Ghostscript framework. In addition, it provides a model for
dynamically loading printer drivers, creating new devices by editing
device description files, and simplifies new printer driver development
by allowing for the subclassing of previous device features.



Authors:
--------
    Mark Hamzy <hamzy@us.ibm.com>
    Mark VanderWiele <markv@us.ibm.com>
    Pete Zannucci <pzaan@us.ibm.com>

%package     -n ghostscript-fonts-other
License:        GPL v2 or later
Summary:        Optional fonts for Ghostscript
Group:          Productivity/Publishing/PS
Provides:       gs_fonto
Obsoletes:      gs_fonto

%description -n ghostscript-fonts-other
Some useful fonts for the Ghostscript PostScript interpreter.



Authors:
--------
    Peter Deutsch <ghost@aladdin.com>
    Martin Lottermoser <Martin.Lottermoser@mch.sni.de>
    Pierre-Olivier Gaillard <pierre.gaillard@hol.fr>
    Gunther Hess <gunther@elmos.de>
    Yves Arrouye <Yves.Arrouye@marin.fdn.fr>
    and many others

%package     -n ghostscript-fonts-rus
License:        GPL v2 or later
Summary:        Russian Fonts for Ghostscript
Group:          Productivity/Publishing/PS
Provides:       gs_fontr
Obsoletes:      gs_fontr
Provides:       locale(ghostscript-library:ru;bg)

%description -n ghostscript-fonts-rus
Russian fonts for Ghostscript.



Authors:
--------
    Eugene V. Demidov <jack@gpi.ru>

%package -n libgimpprint
License:        GPL v2 or later
Version:        4.2.7
Release:        178.8
Summary:        Gimp-Print libraries
Group:          Development/Libraries/C and C++

%description -n libgimpprint
Libraries to print with The GIMP



Authors:
--------
    Robert Krawitz <rlk@alum.mit.edu>

%package -n libgimpprint-devel
License:        GPL v2 or later
Version:        4.2.7
Release:        178.8
Requires:       %install_info_prereq
Summary:        Gimp-Print Include Files
Group:          Development/Libraries/C and C++

%description -n libgimpprint-devel
This package provides the Gimp-Print include files.



Authors:
--------
    Robert Krawitz <rlk@alum.mit.edu>

%endif

%prep
chmod 755 %{SOURCE50}
%setup -q -n espgs-%{GSVER} -a 1 -a 6 -a 7 -a 9
#
# hplip drivers available with jis interface
#
ln -sf %{SOURCE5} .
#
# Trash
#
if test -d trunk ; then
    rm -rf trunk
fi
find -type l -a -printf '%p:%Y\n' | grep :N | sed 's@:.*@@' | xargs -r rm
#
#
#
test -f addons/gdevcd8-chp2200.c || bzip2 -dc ${RPM_SOURCE_DIR}/gdevcd8-chp2200.c.bz2 > addons/gdevcd8-chp2200.c
test -f addons/gdevcd8-cdj880.c  || bzip2 -dc ${RPM_SOURCE_DIR}/gdevcd8-cdj880.c.bz2  > addons/gdevcd8-cdj880.c
test -f addons/gdevbff.c         || bzip2 -dc ${RPM_SOURCE_DIR}/gdevbff.c.bz2         > addons/gdevbff.c
test -f addons/gdev820c.c        || bzip2 -dc ${RPM_SOURCE_DIR}/gdev820c.c.bz2        > addons/gdev820c.c
#
# OMNI use spaces within file names: set hard link for patch program
#
for x in Omni/*/*.[ch]pp ; do
    case "$x" in
	*\ *)
	d="${x%%/*}"
	y="${x##*/}"
	pushd "$d"
	mv "${y}" "${y// /~}"
	ln -sf "${y// /~}" "${y}"
	popd
	;;
    esac
done
ln -sf "HP LaserJet" Omni/HP~LaserJet
#
# Flags
test ! -f /.buildenv || . /.buildenv
if [[ "$BUILD_BASENAME" = debug-* ]] ; then
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fstack-protector -g -DDEBUG"
else
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fstack-protector"
fi
CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE -pipe"
PKG_CONFIG_PATH=%{_libdir}/pkgconfig:/opt/gnome/%{_lib}/pkgconfig
PATH=${PATH}:${RPM_SOURCE_DIR}
export CFLAGS RPM_OPT_FLAGS PKG_CONFIG_PATH PATH
#
# .upp's for stc
{
    for upp in $PWD/epson740/*.upp ; do
	test -e $upp				|| continue
	nupp=${upp##*/}
	test ! -e $PWD/addons/uniprint/$nupp	|| continue
	test ! -e $PWD/lib/$nupp		|| continue
	ln -sf $PWD/epson740/*.upp lib/
    done
}
#
# Enables ijs server
{
    cd ijs/
    autoreconf -fi
    cd ../
}
#
# driver stp
{
    ln  -sf gimp-print-%{PRINT} stp
    ln  -sf $PWD/stp/src/ghost/*.[ch]   addons/
    ln  -sf $PWD/stp/src/ghost/gs-stp.1 man/
    rename no nb gimp-print-%{PRINT}/po/no.*
}
#
# driver hpdj
mkdir hpdj
{
    cd hpdj/
    bzip2 -dc ${RPM_SOURCE_DIR}/hpdj-%{HPDJVER}.tar.bz2 | tar Oxf - hpdj-%{HPDJVER}/hpdj.tar | tar xf -
    mv NEWS NEWS.hpdj
    mv pclcomp.c   pclcomp.c.bak
    mv pagecount.c pagecount.c.bak
    cd ../
}
ln -s $PWD/hpdj/*.[ch] addons/
ln -s $PWD/hpdj/*.1    man/
#
#
{
    bzip2 -dc %{SOURCE30} | tar xf -	\
	-C addons/			\
	examples/			\
	drivers/gdevdmpr-2.01/		\
	dmp_init.ps			\
	dmp_site.ps			\
	escp_24.src			\
	drivers/gdevmjc-0.8no2/		\
	gdevmjc.ps
    cp addons/*.{ps,src} lib/
}
#
#
%patch50 -p0 -b .CVE20090583
%patch51 -p0 -b .CVE20090196
%patch52 -p0 -b .CVE20090792
%patch53 -p0 -b .BCN492765
%patch1  -p0 -b .pdfrange
%patch2  -p0 -b .pdfsec
%patch3  -p0 -b .overprint
%patch4  -p0 -b .sgirgb
%patch10 -p0 -b .stp
%patch11 -p0 -b .stppcl
%patch12 -p0 -b .escp2offset
%patch13 -p0 -b .stpdbg
%patch14 -p0 -b .nb
%patch20 -p0 -b .hpdj
%patch30 -p0 -b .OMNI
%patch45 -p0 -b .CESA2008001
#
# main patch
%patch0  -p0
#
# Search for possible devices
# 
(find -name '*.mak' | xargs grep -sE '^\$\(DD\).*\.dev' ; echo '$(DD)bbox.dev') | \
	sed 's@[^:]*:@@;s@:.*@@;s@ *$@@' | sort -u > bin/devices.list
#
#
#

%build
test ! -f /.buildenv || . /.buildenv
export LANG=POSIX LC_CTYPE=POSIX
%ifarch s390 s390x
RPM_OPT_FLAGS="${RPM_OPT_FLAGS/-O[0-9]/-O1}"
%endif
if [[ "$BUILD_BASENAME" = debug-* ]] ; then
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fstack-protector -g -DDEBUG"
  FLAGS="XLDFLAGS=-g XCFLAGS=-g XLIBDIRS=-L/usr/X11R6/%{_lib} ARCHLIB=%{_lib} FONTS=%{fonts} EXTEND_NAMES=%{extnm}"
else
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fstack-protector"
  FLAGS="XLDFLAGS= XCFLAGS= XLIBDIRS=-L/usr/X11R6/%{_lib} ARCHLIB=%{_lib} FONTS=%{fonts} EXTEND_NAMES=%{extnm}"
fi
CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE -pipe"
PKG_CONFIG_PATH=%{_libdir}/pkgconfig:/opt/gnome/%{_lib}/pkgconfig
PATH=${PATH}:${RPM_SOURCE_DIR}
export CFLAGS RPM_OPT_FLAGS PKG_CONFIG_PATH PATH
test -e configure.ac || ln -sf src/configure.ac .
test -e Makefile.in  || ln -sf src/Makefile.in  .
autoreconf -fi
./configure --prefix=/usr	\
	--libdir=%{_libdir}	\
	--mandir=%{_mandir}	\
	--infodir=%{_infodir}	\
	--with-fontpath=%{fonts}
%if "%name" != "ghostscript-mini"
#
# ijs:
{
    cd ijs/
    sh ./configure %{_target_cpu}-suse-linux \
	--prefix=/usr		\
	--mandir=/usr/share/man \
	--libdir=%{_libdir}	\
	--infodir=/usr/share/info
    # Do never add -j here!
    make -f unix.mak
    cd ../
}
#
# stp:
{
    cd stp/
    IJS_CONFIG=$PWD/../ijs/ijs-config \
    GTK_CONFIG=/usr/bin/gtk-config \
    sh ./configure %{_target_cpu}-suse-linux \
	--prefix=/usr		\
	--mandir=%{_mandir}	\
	--infodir=%{_infodir}	\
	--libdir=%{_libdir}	\
	--without-cups		\
	--with-ijs		\
	--with-ghost		\
	--without-gimp		\
	--disable-escputil	\
	--enable-lexmarkutil	\
	--enable-libgimpprint
    cd ../
}
# Do never add -j here!
make -C stp/ 		  IJS_CFLAGS="-I$PWD/ijs" IJS_LIBS="-L$PWD/ijs -lijs"
make -C stp/lib/	  IJS_CFLAGS="-I$PWD/ijs" IJS_LIBS="-L$PWD/ijs -lijs"
make -C stp/src/ghost/	  IJS_CFLAGS="-I$PWD/ijs" IJS_LIBS="-L$PWD/ijs -lijs"
# make -C stp/src/escputil/ IJS_CFLAGS="-I$PWD/ijs" IJS_LIBS="-L$PWD/ijs -lijs"
#
# Omni/libomni.so:
{
    cd Omni/
	XML_CONFIG=xml2-config			\
	DEFAULTCUPSEXEROOT=/usr/%{_lib}/cups/filter \
	CXXFLAGS="${RPM_OPT_FLAGS} -O1 -pipe"	\
	./setupOmni --prefix=/usr		\
	--libdir=/usr/%{_lib}/ghostscript	\
	--datadir=/usr/share/ghostscript	\
	--bindir=/usr/bin			\
	--enable-deviceupdf			\
	--disable-devicecompile			\
	--disable-jobdialog			\
	--enable-devicexml
	make
    cd ../
}
#
# Use rendering of the Freetype library
#
    FT_SUB=/freetype2
FT_LIB_EXT=.so
   FT_ROOT=/usr
 FT_BRIDGE=1
 FT_CFLAGS="$CFLAGS -include /usr/include/ft2build.h"
export FT_SUB FT_LIB_EXT FT_ROOT FT_BRIDGE FT_CFLAGS
#
#
# Do never add -j here!
make -f src/unix-gcc.mak config-clean ${FLAGS}
%if %libgs
make -f src/unix-gcc.mak device=x     ${FLAGS} GLIBOPT="`glib-config --cflags`" so
%else
make -f src/unix-gcc.mak device=x     ${FLAGS} GLIBOPT="`glib-config --cflags`"
%endif
#
# bin/catalog.devices:
%if %libgs
    LD=${PWD}/sobin:${PWD}/soobj:${PWD}/obj:${PWD}/stp/src/main/.libs
%else
    LD=${PWD}/obj:${PWD}/stp/src/main/.libs
%endif
LD_LIBRARY_PATH=$LD sh src/make.catalog > bin/catalog.devices
#
# bin/pcl3opts
# Do never add -j here!
make -f src/unix-gcc.mak pcl3opts     ${FLAGS}
##
%else	# if ghostscript-mini
#
# Do never add -j here!
make -f src/unix-gcc.mak config-clean ${FLAGS}
make -f src/unix-gcc.mak device=mini  ${FLAGS} GLIBOPT=""
#
# bin/catalog.devices:
touch bin/catalog.devices
%endif  # if ghostscript-mini

%install
test ! -f /.buildenv || . /.buildenv
export LANG=POSIX LC_CTYPE=POSIX
%ifarch s390 s390x
RPM_OPT_FLAGS="${RPM_OPT_FLAGS/-O[0-9]/-O1}"
%endif
if [[ "$BUILD_BASENAME" = debug-* ]] ; then
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fstack-protector -g -DDEBUG"
  FLAGS="XLDFLAGS=-g XCFLAGS=-g XLIBDIRS=-L/usr/X11R6/%{_lib} ARCHLIB=%{_lib} FONTS=%{fonts} EXTEND_NAMES=%{extnm}"
else
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fstack-protector"
  FLAGS="XLDFLAGS= XCFLAGS= XLIBDIRS=-L/usr/X11R6/%{_lib} ARCHLIB=%{_lib} FONTS=%{fonts} EXTEND_NAMES=%{extnm}"
fi
CFLAGS="${RPM_OPT_FLAGS} -D_GNU_SOURCE -pipe"
PKG_CONFIG_PATH=%{_libdir}/pkgconfig:/opt/gnome/%{_lib}/pkgconfig
PATH=${PATH}:${RPM_SOURCE_DIR}
export CFLAGS RPM_OPT_FLAGS PKG_CONFIG_PATH PATH
#
cd lib/;      sh ../src/make.psready; cd ../
cd examples/; sh ../src/make.psready; cd ../
for f in $(find addons/ lib/ -name dmp_site.ps) ; do
    test ! -L $f || continue
    mv $f ${f}.tmp
    sed "s@(\(escp_24.src\))@(/usr/share/ghostscript/%{GSMAIN}/lib/\1)@" \
	< ${f}.tmp > $f
done
#
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/%{_lib}
mkdir -p ${RPM_BUILD_ROOT}/usr/share
mkdir -p ${RPM_BUILD_ROOT}/usr/share/man
%if "%name" != "ghostscript-mini"
mkdir -p ${RPM_BUILD_ROOT}/usr/share/pixmaps
%endif
#
# Do never add -j here!
make -f src/unix-gcc.mak prefix=/usr install_prefix=${RPM_BUILD_ROOT} ${FLAGS} \
%if "%name" != "ghostscript-mini"
%if %libgs
			-o soobj/gconfig.h -o soobj/gconfxx.h -o soobj/ld.t \
			-o sobin/libgs.so.8.15  -o sobin/gsc \
			mandir=%{_mandir} soinstall pcl3-install device=x
%else
			-o obj/gconfig.h -o obj/gconfxx.h -o obj/ld.t -o bin/gs \
			mandir=%{_mandir} install pcl3-install device=x
%endif
%else
			-o obj/gconfig.h -o obj/gconfxx.h -o obj/ld.tr -o bin/gs \
			mandir=%{_mandir}   install device=mini
%endif
#
if test -x ${RPM_BUILD_ROOT}/usr/bin/gsc ; then
    mv ${RPM_BUILD_ROOT}/usr/bin/gsc ${RPM_BUILD_ROOT}/usr/bin/gs
##  rm -f ${RPM_BUILD_ROOT}%{_libdir}/libgs.so
fi
#
for l in lib/*.{ps,upp,src,rpd,ppd} ; do
    test   -e $l || continue
    test ! -e ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/lib/${l##*/} || continue
    install -m 0644 $l ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/lib/
done
%if "%name" != "ghostscript-mini"
for l in lib/*.xpm ; do
    test -e $l || continue
    install -m 0644 $l ${RPM_BUILD_ROOT}/usr/share/pixmaps/
done
%endif
#
rm -f ${RPM_BUILD_ROOT}/usr/bin/lprsetup.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/pj-gs.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/pv.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/sysvlp.sh
rm -f ${RPM_BUILD_ROOT}/usr/bin/unix-lpr.sh
mv    ${RPM_BUILD_ROOT}/usr/bin/fixmswrd.pl ${RPM_BUILD_ROOT}/usr/bin/fixmswrd
find  ${RPM_BUILD_ROOT}/usr/%{_lib}/ -name '*.ppd.ppd' | xargs -r rm
#
%if "%name" != "ghostscript-mini"
#
# ijs:
cd ijs/
    # Do never add -j here!
    make -f unix.mak prefix=${RPM_BUILD_ROOT}/usr libdir=${RPM_BUILD_ROOT}%{_libdir} install
cd ../
rm -f ${RPM_BUILD_ROOT}/usr/bin/ijs_client_example
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/libijs.a
chmod 0644 ${RPM_BUILD_ROOT}/usr/include/ijs/ijs_server.h
chmod 0644 ${RPM_BUILD_ROOT}/usr/include/ijs/ijs_client.h
chmod 0644 ${RPM_BUILD_ROOT}/usr/include/ijs/ijs.h
#
# stp:
# Do never add -j here!
make -C stp DESTDIR=${RPM_BUILD_ROOT} install
rm -rf ${RPM_BUILD_ROOT}/usr/share/locale/en_TEST
#
mkdir -p ${RPM_BUILD_ROOT}/usr/%{_lib}/ghostscript/
#
# Do never add -j here!
make -C Omni/ install DESTDIR=${RPM_BUILD_ROOT} DEFAULTCUPSEXEROOT=/usr/%{_lib}/cups/filter
mkdir -p ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/doc/Omni
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-omni/
install -m 0444 Omni/docs/* ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/doc/Omni/
ln -sf /usr/share/ghostscript/%{GSMAIN}/doc/Omni \
	${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-omni/Omni
#
%endif # if !ghostscript-mini
for m in ${RPM_BUILD_ROOT}%{_mandir}/man1/*.1 ; do
    if test -L $m ; then
	d=`find $m -printf '%%l'`
	rm -f $m
	ln -sf ${d}.gz ${m}.gz
    else
	gzip -f9v $m
    fi
done
#
rm -rf   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript
mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript
#
ln -sf /usr/share/ghostscript/%{GSMAIN}/doc \
   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/doc
ln -sf /usr/share/ghostscript/%{GSMAIN}/examples \
   ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/examples
install -m 0444 bin/catalog.devices ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript/
install -m 0444 doc/index.html ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/doc/
#
rm -rf   ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
mkdir -p ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
#
tar xfj ${RPM_SOURCE_DIR}/gnu-gs-fonts-std-8.11.tar.bz2 \
   -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
%if "%name" != "ghostscript-mini"
pushd ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
    for i in n021004l n021024l n022004l n022023l n022024l
    do
	t1ascii $i.pfb > $i.pfa
    done
    patch -p0 -i $RPM_SOURCE_DIR/gnu-gs-fonts-std-8.11.patch
    for i in n021004l n021024l n022004l n022023l n022024l
    do
	t1binary $i.pfa > $i.pfb
	rm $i.pfa
    done    
popd
%endif
rm -rf ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/{COPYING,ChangeLog,README,README.tweaks,TODO}
install -m 644 $RPM_SOURCE_DIR/fonts.scale.nimbus-sans-condensed \
   ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts
tar xfj ${RPM_SOURCE_DIR}/gnu-gs-fonts-other-6.0.tar.bz2 \
   -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
#
tar xfj ${RPM_SOURCE_DIR}/gs_rusfonts.tar.bz2 \
    -C ${RPM_BUILD_ROOT}/usr/share/ghostscript/
pushd ${RPM_BUILD_ROOT}/usr/share/ghostscript/
    mv gs_rusfonts/fonts/*.{afm,pfb,pfm} fonts/
    echo ""  > %{GSMAIN}/lib/Fontmap.rus
    echo "%% Russian Post Script fonts from Eugeni Demidov (ftp.kapella.gpi.ru)" >> %{GSMAIN}/lib/Fontmap.rus
    echo "%% ArialCyrMT, CourierCyrPS, TimesCyrMT, ERKurierKOI8-R"               >> %{GSMAIN}/lib/Fontmap.rus
    sed 's@$@;@g' gs_rusfonts/fonts/Fontmap.ad                                   >> %{GSMAIN}/lib/Fontmap.rus
    echo ""  >> %{GSMAIN}/lib/Fontmap.rus
    mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript-fonts-rus
    install -m 0444 gs_rusfonts/docs/* ${RPM_BUILD_ROOT}%{_defaultdocdir}/ghostscript-fonts-rus/
    rm -rf gs_rusfonts/
popd
#
##############################################################
#
set +x
find ${RPM_BUILD_ROOT}/usr/share/ghostscript/fonts/ -type f | xargs chmod 0444
set -x
#
# Create links to make the fonts usable with X11:
#
rm -rf   ${RPM_BUILD_ROOT}%{xfontdir}/URW
mkdir -p ${RPM_BUILD_ROOT}%{xfontdir}
ln -sf /usr/share/ghostscript/fonts ${RPM_BUILD_ROOT}%{xfontdir}/URW
#
#
# clean up buildroot --- remove unpackaged files
rm -rf ${RPM_BUILD_ROOT}/usr/share/gimp-print/doc
rm -rf ${RPM_BUILD_ROOT}/usr/share/gimp-print/samples
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/de/man1
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man1/ansi2knr.1*
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man1/escputil.1*
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man1/ijsgimpprint.1*
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}/man8/cups-calibrate.8*
%if "%name" == "ghostscript-mini"
rm -rf ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-fonts-rus/README.rusfonts
rm -rf ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-fonts-rus/rusps.txt
rm ${RPM_BUILD_ROOT}/usr/bin/dumphint
%endif
%if "%name" == "ghostscript-mini"
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-mini
cp -a    ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript/* \
	 ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-mini/
rm -rf   ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript/
cp CHANGES LICENSE README doc/COPYING \
	 ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/doc/
ln -sf   ../../../ghostscript/8.15/doc/{CHANGES,LICENSE,README,COPYING} \
	 ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-mini/
%else
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-library
cp -a    ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript/* \
	 ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-library/
rm -rf   ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript/
cp CHANGES LICENSE README doc/COPYING \
	 ${RPM_BUILD_ROOT}/usr/share/ghostscript/%{GSMAIN}/doc/
ln -sf   ../../../ghostscript/8.15/doc/{CHANGES,LICENSE,README,COPYING} \
	 ${RPM_BUILD_ROOT}/usr/share/doc/packages/ghostscript-library/
%endif
#
##############################################################
#
mkdir -p ${RPM_BUILD_ROOT}/etc/ghostscript/%{GSMAIN}
echo "%%defattr (644, root, root, 755)" >  config.gs
echo "%%dir /etc/ghostscript"           >> config.gs
echo "%%dir /etc/ghostscript/%{GSMAIN}" >> config.gs
for c in Fontmap Fontmap.X11-auto cidfmap xlatmap \
	 FAPI{cidfmap,config,fontmap}
do
    uc=/usr/share/ghostscript/%{GSMAIN}/lib/$c
    ec=/etc/ghostscript/%{GSMAIN}/$c
    if test -f ${RPM_BUILD_ROOT}$uc ; then
	mv ${RPM_BUILD_ROOT}$uc ${RPM_BUILD_ROOT}$ec
	ln -sf $ec ${RPM_BUILD_ROOT}$uc
	echo "%%config $ec" >> config.gs
    else
	touch ${RPM_BUILD_ROOT}$ec
	ln -sf $ec ${RPM_BUILD_ROOT}$uc
	echo "%%config $ec" >> config.gs
    fi
done
%if "%name" != "ghostscript-mini"
%if %suse_version > 1020
target=""
fdupes -q -r %{buildroot}%{_datadir}/ghostscript/Omni/ | \
while read file; do
    if test -z "$target" ; then
	target="$file"
    else
	if test -z "$file" ; then
	    target=""
	    continue
	fi
	ln -sf "${target##*/}" "$file"
    fi
done
unset target file
%endif
%find_lang gimp-print
%endif
#
##############################################################
#
%if "%name" != "ghostscript-mini"

%pre -n ghostscript-fonts-std
if test -d %{xfontdir}/URW -a ! -L %{xfontdir}/URW; then
  rm -rf %{xfontdir}/fonts/URW
fi

%post -n ghostscript-fonts-std
if [ -x sbin/conf.d/SuSEconfig.fonts ]; then
    %run_suseconfig -m fonts
fi
if [ -x sbin/conf.d/SuSEconfig.pango ]; then
    %run_suseconfig -m pango
fi

%postun -n ghostscript-fonts-std
if [ -x sbin/conf.d/SuSEconfig.fonts ]; then
    %run_suseconfig -m fonts
fi
if [ -x sbin/conf.d/SuSEconfig.pango ]; then
    %run_suseconfig -m pango
fi

%pre
if test -L usr/bin/gs ; then
    rm -f usr/bin/gs 2>/dev/null
fi

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post -n libgimpprint -p /sbin/ldconfig

%postun -n libgimpprint -p /sbin/ldconfig

%post -n libgimpprint-devel
%install_info --info-dir=%{_infodir} %{_infodir}/gimpprint.info.gz

%postun -n libgimpprint-devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gimpprint.info.gz
%endif

%files -f config.gs
%defattr(-, root, root)
%if "%name" == "ghostscript-mini"
/usr/share/ghostscript/fonts
%{xfontdir}/URW
%else  # if not ghostscript-mini
%config %attr(-,lp,sys) /etc/cups/pstoraster.convs
/usr/bin/dumphint
# /usr/bin/escputil
/usr/bin/ijsgimpprint
/usr/bin/pcl3opts
%endif # if not ghostscript-mini
/usr/bin/gs
/usr/bin/gsbj
/usr/bin/gsdj
/usr/bin/gsdj500
/usr/bin/gslj
/usr/bin/gslp
/usr/bin/gsnd
/usr/bin/bdftops
/usr/bin/dvipdf
/usr/bin/eps2eps
/usr/bin/font2c
/usr/bin/pdf2dsc
/usr/bin/pdf2ps
/usr/bin/pdfopt
/usr/bin/pf2afm
/usr/bin/pfbtopfa
/usr/bin/printafm
/usr/bin/ps2ascii
/usr/bin/ps2epsi
/usr/bin/ps2pdf
/usr/bin/ps2pdf12
/usr/bin/ps2pdf13
/usr/bin/ps2pdf14
/usr/bin/ps2pdfwr
/usr/bin/ps2ps
/usr/bin/wftopfa
/usr/bin/fixmswrd
%if "%name" != "ghostscript-mini"
%dir %{_libdir}/ghostscript/Omni
%{_libdir}/ghostscript/Omni/*.so*
%dir %{_libdir}/ghostscript/%{GSMAIN}
%dir %{_libdir}/cups
%dir %{_libdir}/cups/filter
%{_libdir}/cups/filter/pstoraster
%{_libdir}/cups/filter/pstopxl
%{_libdir}/cups/filter/CUPSToOmni
%dir /usr/share/cups
%dir /usr/share/cups/model
/usr/share/cups/model/pxlcolor.ppd
/usr/share/cups/model/pxlmono.ppd
%dir %{_libdir}/ghostscript
%if %libgs
%{_libdir}/libgs.so*
%endif
%{_libdir}/libijs.so
%endif
%dir /usr/share/ghostscript
%dir /usr/share/ghostscript/%{GSMAIN}
/usr/share/ghostscript/%{GSMAIN}/lib/
%doc /usr/share/ghostscript/%{GSMAIN}/doc/
%doc /usr/share/ghostscript/%{GSMAIN}/examples/
/usr/share/ghostscript/%{GSMAIN}/Resource/
%if "%name" == "ghostscript-mini"
%doc %dir %{_defaultdocdir}/ghostscript-mini/
%doc %{_defaultdocdir}/ghostscript-mini/CHANGES
%doc %{_defaultdocdir}/ghostscript-mini/COPYING
%doc %{_defaultdocdir}/ghostscript-mini/LICENSE
%doc %{_defaultdocdir}/ghostscript-mini/README
%doc %{_defaultdocdir}/ghostscript-mini/catalog.devices
%doc %{_defaultdocdir}/ghostscript-mini/doc
%doc %{_defaultdocdir}/ghostscript-mini/examples
%else
%doc %dir %{_defaultdocdir}/ghostscript-library/
%doc %{_defaultdocdir}/ghostscript-library/CHANGES
%doc %{_defaultdocdir}/ghostscript-library/COPYING
%doc %{_defaultdocdir}/ghostscript-library/LICENSE
%doc %{_defaultdocdir}/ghostscript-library/README
%doc %{_defaultdocdir}/ghostscript-library/catalog.devices
%doc %{_defaultdocdir}/ghostscript-library/doc
%doc %{_defaultdocdir}/ghostscript-library/examples
%endif
%doc %{_mandir}/man1/dvipdf.1.gz
%doc %{_mandir}/man1/e*
%doc %{_mandir}/man1/font2c.1.gz
%doc %{_mandir}/man1/gs*
%doc %{_mandir}/man1/p*
%doc %{_mandir}/man1/wftopfa.1.gz
%if "%name" != "ghostscript-mini"

%files -n ghostscript-ijs-devel
%defattr(-, root, root)
/usr/bin/ijs-config
%{_libdir}/libijs.a
%dir /usr/include/ijs
/usr/include/ijs/ijs.h
/usr/include/ijs/ijs_client.h
/usr/include/ijs/ijs_server.h

%files -n ghostscript-omni
%defattr(-, root, root)
/usr/bin/CUPSToOmni
/usr/bin/GenerateOmniPPD
/usr/bin/GenerateOmniPPDs
/usr/bin/OmniDeviceOptions
/usr/bin/OmniDeviceTester
/usr/bin/OmniDeviceValid
/usr/bin/OmniDevices
/usr/bin/OmniFoomaticGenerator
/usr/bin/OmniPDCServer
%dir %{_libdir}/ghostscript/Omni
%{_libdir}/ghostscript/Omni/*.la
%dir /usr/share/ghostscript/Omni
/usr/share/ghostscript/Omni/*
/usr/share/ghostscript/OmniDevice.xsd
%doc /usr/share/doc/packages/ghostscript-omni

%files -n ghostscript-x11
%defattr(-, root, root)
%dir %{_libdir}/ghostscript/%{GSMAIN}
%{_libdir}/ghostscript/%{GSMAIN}/X11.so
/usr/share/pixmaps/*.xpm

%files -n ghostscript-fonts-std
%defattr(0644,root,root,0755)
%{xfontdir}/URW
%dir /usr/share/ghostscript/fonts
%verify(not md5 size mtime) /usr/share/ghostscript/fonts/fonts.scale
%verify(not md5 size mtime) /usr/share/ghostscript/fonts/fonts.scale.*
%verify(not md5 size mtime) /usr/share/ghostscript/fonts/fonts.dir
/usr/share/ghostscript/fonts/a010013l.afm
/usr/share/ghostscript/fonts/a010015l.afm
/usr/share/ghostscript/fonts/a010033l.afm
/usr/share/ghostscript/fonts/a010035l.afm
/usr/share/ghostscript/fonts/b018012l.afm
/usr/share/ghostscript/fonts/b018015l.afm
/usr/share/ghostscript/fonts/b018032l.afm
/usr/share/ghostscript/fonts/b018035l.afm
/usr/share/ghostscript/fonts/c059013l.afm
/usr/share/ghostscript/fonts/c059016l.afm
/usr/share/ghostscript/fonts/c059033l.afm
/usr/share/ghostscript/fonts/c059036l.afm
/usr/share/ghostscript/fonts/d050000l.afm
/usr/share/ghostscript/fonts/n019003l.afm
/usr/share/ghostscript/fonts/n019004l.afm
/usr/share/ghostscript/fonts/n019023l.afm
/usr/share/ghostscript/fonts/n019024l.afm
/usr/share/ghostscript/fonts/n019043l.afm
/usr/share/ghostscript/fonts/n019044l.afm
/usr/share/ghostscript/fonts/n019063l.afm
/usr/share/ghostscript/fonts/n019064l.afm
/usr/share/ghostscript/fonts/n021003l.afm
/usr/share/ghostscript/fonts/n021004l.afm
/usr/share/ghostscript/fonts/n021023l.afm
/usr/share/ghostscript/fonts/n021024l.afm
/usr/share/ghostscript/fonts/n022003l.afm
/usr/share/ghostscript/fonts/n022004l.afm
/usr/share/ghostscript/fonts/n022023l.afm
/usr/share/ghostscript/fonts/n022024l.afm
/usr/share/ghostscript/fonts/p052003l.afm
/usr/share/ghostscript/fonts/p052004l.afm
/usr/share/ghostscript/fonts/p052023l.afm
/usr/share/ghostscript/fonts/p052024l.afm
/usr/share/ghostscript/fonts/s050000l.afm
/usr/share/ghostscript/fonts/z003034l.afm
/usr/share/ghostscript/fonts/a010013l.pfm
/usr/share/ghostscript/fonts/a010015l.pfm
/usr/share/ghostscript/fonts/a010033l.pfm
/usr/share/ghostscript/fonts/a010035l.pfm
/usr/share/ghostscript/fonts/b018012l.pfm
/usr/share/ghostscript/fonts/b018015l.pfm
/usr/share/ghostscript/fonts/b018032l.pfm
/usr/share/ghostscript/fonts/b018035l.pfm
/usr/share/ghostscript/fonts/n019003l.pfm
/usr/share/ghostscript/fonts/n019004l.pfm
/usr/share/ghostscript/fonts/n019023l.pfm
/usr/share/ghostscript/fonts/n019024l.pfm
/usr/share/ghostscript/fonts/n019064l.pfm
/usr/share/ghostscript/fonts/n021003l.pfm
/usr/share/ghostscript/fonts/n021004l.pfm
/usr/share/ghostscript/fonts/n021023l.pfm
/usr/share/ghostscript/fonts/n021024l.pfm
/usr/share/ghostscript/fonts/z003034l.pfm
/usr/share/ghostscript/fonts/a010013l.pfb
/usr/share/ghostscript/fonts/a010015l.pfb
/usr/share/ghostscript/fonts/a010033l.pfb
/usr/share/ghostscript/fonts/a010035l.pfb
/usr/share/ghostscript/fonts/b018012l.pfb
/usr/share/ghostscript/fonts/b018015l.pfb
/usr/share/ghostscript/fonts/b018032l.pfb
/usr/share/ghostscript/fonts/b018035l.pfb
/usr/share/ghostscript/fonts/c059013l.pfb
/usr/share/ghostscript/fonts/c059016l.pfb
/usr/share/ghostscript/fonts/c059033l.pfb
/usr/share/ghostscript/fonts/c059036l.pfb
/usr/share/ghostscript/fonts/d050000l.pfb
/usr/share/ghostscript/fonts/n019003l.pfb
/usr/share/ghostscript/fonts/n019004l.pfb
/usr/share/ghostscript/fonts/n019023l.pfb
/usr/share/ghostscript/fonts/n019024l.pfb
/usr/share/ghostscript/fonts/n019043l.pfb
/usr/share/ghostscript/fonts/n019044l.pfb
/usr/share/ghostscript/fonts/n019063l.pfb
/usr/share/ghostscript/fonts/n019064l.pfb
/usr/share/ghostscript/fonts/n021003l.pfb
/usr/share/ghostscript/fonts/n021004l.pfb
/usr/share/ghostscript/fonts/n021023l.pfb
/usr/share/ghostscript/fonts/n021024l.pfb
/usr/share/ghostscript/fonts/n022003l.pfb
/usr/share/ghostscript/fonts/n022004l.pfb
/usr/share/ghostscript/fonts/n022023l.pfb
/usr/share/ghostscript/fonts/n022024l.pfb
/usr/share/ghostscript/fonts/p052003l.pfb
/usr/share/ghostscript/fonts/p052004l.pfb
/usr/share/ghostscript/fonts/p052023l.pfb
/usr/share/ghostscript/fonts/p052024l.pfb
/usr/share/ghostscript/fonts/s050000l.pfb
/usr/share/ghostscript/fonts/z003034l.pfb

%files -n ghostscript-fonts-other
%defattr(0644,root,root,0755)
%dir /usr/share/ghostscript/fonts
/usr/share/ghostscript/fonts/bchb.afm
/usr/share/ghostscript/fonts/bchbi.afm
/usr/share/ghostscript/fonts/bchr.afm
/usr/share/ghostscript/fonts/bchri.afm
/usr/share/ghostscript/fonts/fcyr.afm
/usr/share/ghostscript/fonts/fcyri.afm
/usr/share/ghostscript/fonts/u003043t.afm
/usr/share/ghostscript/fonts/u004006t.afm
/usr/share/ghostscript/fonts/fcyr.gsf
/usr/share/ghostscript/fonts/fcyri.gsf
/usr/share/ghostscript/fonts/fhirw.gsf
/usr/share/ghostscript/fonts/fkarw.gsf
/usr/share/ghostscript/fonts/hrgerb.gsf
/usr/share/ghostscript/fonts/hrgerd.gsf
/usr/share/ghostscript/fonts/hrgero.gsf
/usr/share/ghostscript/fonts/hrgkc.gsf
/usr/share/ghostscript/fonts/hrgks.gsf
/usr/share/ghostscript/fonts/hrgrrb.gsf
/usr/share/ghostscript/fonts/hrgrro.gsf
/usr/share/ghostscript/fonts/hritrb.gsf
/usr/share/ghostscript/fonts/hritro.gsf
/usr/share/ghostscript/fonts/hrpldb.gsf
/usr/share/ghostscript/fonts/hrpldbi.gsf
/usr/share/ghostscript/fonts/hrplr.gsf
/usr/share/ghostscript/fonts/hrplrb.gsf
/usr/share/ghostscript/fonts/hrplrbo.gsf
/usr/share/ghostscript/fonts/hrplro.gsf
/usr/share/ghostscript/fonts/hrpls.gsf
/usr/share/ghostscript/fonts/hrplsb.gsf
/usr/share/ghostscript/fonts/hrplsbo.gsf
/usr/share/ghostscript/fonts/hrplso.gsf
/usr/share/ghostscript/fonts/hrpltb.gsf
/usr/share/ghostscript/fonts/hrpltbi.gsf
/usr/share/ghostscript/fonts/hrsccb.gsf
/usr/share/ghostscript/fonts/hrscco.gsf
/usr/share/ghostscript/fonts/hrscsb.gsf
/usr/share/ghostscript/fonts/hrscso.gsf
/usr/share/ghostscript/fonts/hrsyr.gsf
/usr/share/ghostscript/fonts/u003043t.gsf
/usr/share/ghostscript/fonts/u004006t.gsf
/usr/share/ghostscript/fonts/bchb.pfa
/usr/share/ghostscript/fonts/bchbi.pfa
/usr/share/ghostscript/fonts/bchr.pfa
/usr/share/ghostscript/fonts/bchri.pfa
/usr/share/ghostscript/fonts/hrger.pfa
/usr/share/ghostscript/fonts/hrgrr.pfa
/usr/share/ghostscript/fonts/hritr.pfa
/usr/share/ghostscript/fonts/hrpld.pfa
/usr/share/ghostscript/fonts/hrpldi.pfa
/usr/share/ghostscript/fonts/hrplt.pfa
/usr/share/ghostscript/fonts/hrplti.pfa
/usr/share/ghostscript/fonts/hrscc.pfa
/usr/share/ghostscript/fonts/hrscs.pfa
/usr/share/ghostscript/fonts/putb.pfa
/usr/share/ghostscript/fonts/putbi.pfa
/usr/share/ghostscript/fonts/putr.pfa
/usr/share/ghostscript/fonts/putri.pfa
/usr/share/ghostscript/fonts/fhirw.pfm
/usr/share/ghostscript/fonts/fkarw.pfm
/usr/share/ghostscript/fonts/u003043t.pfm
/usr/share/ghostscript/fonts/u004006t.pfm

%files -n ghostscript-fonts-rus
%defattr(0644,root,root,0755)
%doc %dir %{_defaultdocdir}/ghostscript-fonts-rus/
%doc %{_defaultdocdir}/ghostscript-fonts-rus/README.rusfonts
%doc %{_defaultdocdir}/ghostscript-fonts-rus/rusps.txt
%dir /usr/share/ghostscript/fonts
/usr/share/ghostscript/fonts/arial8.afm
/usr/share/ghostscript/fonts/arial8.pfb
/usr/share/ghostscript/fonts/arial8.pfm
/usr/share/ghostscript/fonts/arialbd8.afm
/usr/share/ghostscript/fonts/arialbd8.pfb
/usr/share/ghostscript/fonts/arialbd8.pfm
/usr/share/ghostscript/fonts/arialbi8.afm
/usr/share/ghostscript/fonts/arialbi8.pfb
/usr/share/ghostscript/fonts/arialbi8.pfm
/usr/share/ghostscript/fonts/ariali8.afm
/usr/share/ghostscript/fonts/ariali8.pfb
/usr/share/ghostscript/fonts/ariali8.pfm
/usr/share/ghostscript/fonts/cokoi8b.afm
/usr/share/ghostscript/fonts/cokoi8b.pfb
/usr/share/ghostscript/fonts/cokoi8b.pfm
/usr/share/ghostscript/fonts/cokoi8bi.afm
/usr/share/ghostscript/fonts/cokoi8bi.pfb
/usr/share/ghostscript/fonts/cokoi8bi.pfm
/usr/share/ghostscript/fonts/cokoi8i.afm
/usr/share/ghostscript/fonts/cokoi8i.pfb
/usr/share/ghostscript/fonts/cokoi8i.pfm
/usr/share/ghostscript/fonts/cokoi8n.afm
/usr/share/ghostscript/fonts/cokoi8n.pfb
/usr/share/ghostscript/fonts/cokoi8n.pfm
/usr/share/ghostscript/fonts/cour8.afm
/usr/share/ghostscript/fonts/cour8.pfb
/usr/share/ghostscript/fonts/cour8.pfm
/usr/share/ghostscript/fonts/courbd8.afm
/usr/share/ghostscript/fonts/courbd8.pfb
/usr/share/ghostscript/fonts/courbd8.pfm
/usr/share/ghostscript/fonts/courbi8.afm
/usr/share/ghostscript/fonts/courbi8.pfb
/usr/share/ghostscript/fonts/courbi8.pfm
/usr/share/ghostscript/fonts/couri8.afm
/usr/share/ghostscript/fonts/couri8.pfb
/usr/share/ghostscript/fonts/couri8.pfm
/usr/share/ghostscript/fonts/times8.afm
/usr/share/ghostscript/fonts/times8.pfb
/usr/share/ghostscript/fonts/times8.pfm
/usr/share/ghostscript/fonts/timesbd8.afm
/usr/share/ghostscript/fonts/timesbd8.pfb
/usr/share/ghostscript/fonts/timesbd8.pfm
/usr/share/ghostscript/fonts/timesbi8.afm
/usr/share/ghostscript/fonts/timesbi8.pfb
/usr/share/ghostscript/fonts/timesbi8.pfm
/usr/share/ghostscript/fonts/timesi8.afm
/usr/share/ghostscript/fonts/timesi8.pfb
/usr/share/ghostscript/fonts/timesi8.pfm

%files -n libgimpprint -f gimp-print.lang
%defattr(-, root, root)
/usr/bin/gimpprint-config
%{_libdir}/libgimpprint.so.*

%files -n libgimpprint-devel
%defattr(-, root, root)
/usr/share/aclocal/gimpprint.m4
/usr/include/gimp-print
%{_libdir}/libgimpprint.so
%{_libdir}/libgimpprint.la
%{_libdir}/libgimpprint.a
%doc %{_mandir}/man*/gimpprint*
%doc %{_infodir}/gimpprint.*
%endif # if not ghostscript-mini

%changelog
* Wed May 13 2009 - werner@suse.de
- Complete patch for CVE-2009-0792 (bnc#491897)
* Thu Apr 16 2009 - werner@suse.de
- Use initial workaround for bnc#492765
* Tue Apr 07 2009 - werner@suse.de
- heap-overflow in JBIG2 decoder (CVE-2009-0196)
- integer overflow in ICC library (CVE-2009-0792)
- crash in CCITTFax decoder (bnc#492765)
- buffer overflow in BaseFont writer module (bnc#492765)
* Thu Mar 12 2009 - werner@suse.de
- Add fix for ICC library integer overflows (bnc#483303,
  CVE-2009-0583, CVE-2009-0584)
* Tue Feb 05 2008 - werner@suse.de
- Fix stack-based buffer overflow (CESA-2008-001, bnc#358914)
* Thu Sep 20 2007 - werner@suse.de
- Update espgs to bugfix version 8.15.4
  + The configure script did not add the Brother drivers by default
  (STR #2214)
  + The configure script did not add the CUPS fonts directory to
  the default font path.
  + Changed the default substitution glyph back to .notdef since
  space is not always present (STR #2163)
  + Interpreter crash bug fixed (STR #2199)
  + The dvipdf script now supports the dvips -R options (STR #2027)
  + The packaging files did not restart the CUPS scheduler after
  installing the pstoraster.convs file.
  + The FreeType support did not do the proper substitutions.
- Replace broken overprint patch (bug #281939, #301762)
* Sat Jul 21 2007 - coolo@suse.de
- do not require xorg-x11 to build
* Thu Jun 21 2007 - adrian@suse.de
- fix changelog entry order
* Wed Jun 06 2007 - werner@suse.de
- Branch ijs-devel subpackage for ijs-config, headers, and library
* Fri Jun 01 2007 - werner@suse.de
- libijs.so is required by us even with RPMlint
* Tue May 29 2007 - werner@suse.de
- Remove not required devel files
- RPMlint: ignore omni .so files too because those are files are
  required and loaded with dlopen by the omni library.
- RPMlint: Move some gimpprint devel files into libgimpprint-devel
* Thu May 24 2007 - ro@suse.de
- added ldconfig to post scripts
* Thu Mar 29 2007 - aj@suse.de
- Add flex to BuildRequires.
* Tue Dec 05 2006 - werner@suse.de
- Make sgirgb driver more robust on itanium (bug #209879)
* Tue Nov 07 2006 - werner@suse.de
- More on bug #203287: do not create a new bbox device for the
  overprint opterator for an already existing memory device.
* Fri Nov 03 2006 - werner@suse.de
- More on bug #203287 check for the bbox because otherwise some
  some areas will not be updated.
* Thu Nov 02 2006 - werner@suse.de
- X11 device: reset update count after flush to avoid that the
  page is flushed twice, fix for bug #203287
* Sun Oct 22 2006 - olh@suse.de
- remove /usr/share/man/man1/escputil.1.gz, conflicts with gutenprint
* Sat Oct 21 2006 - schwab@suse.de
- Fix bogus version check.
* Mon Oct 16 2006 - werner@suse.de
- Redo removing escputil to avoid conficts with gutenprint
* Wed Oct 11 2006 - werner@suse.de
- Update t oversion espgs 8.15.3
  * Fixes bug #202092
  * Fixes bug #209879
* Wed Sep 20 2006 - kssingvo@suse.de
- removed escputil to avoid file conflicts.
  escputil incl. manual are now in the package "gutenprint"
* Thu Aug 17 2006 - aj@suse.de
- Revert last patch, we really need the fonts.
* Wed Aug 16 2006 - aj@suse.de
- Remove unneeded BuildRequire on xorg-x11.
* Fri Aug 11 2006 - mfabian@suse.de
- move URW symlink to /usr/share/fonts (because of X11R7).
* Wed Jul 12 2006 - werner@suse.de
- Do never build in parallel, this will not work
* Tue Jun 20 2006 - dmueller@suse.de
- Remove ghostscript-symlink as it breaks update
- Build parallel
* Tue Jun 13 2006 - werner@suse.de
- Do not stop execution on unknown page device features (#161004)
* Thu Jun 01 2006 - werner@suse.de
- Update to espgs version 8.15.2 (unstripped:)
* Wed May 17 2006 - schwab@suse.de
- Don't strip binaries.
* Thu Mar 09 2006 - werner@suse.de
- Use the pdf_sec.ps of the new GPL ghostscript 8.50 to be able
  to read newest encrypted pdf files.
* Wed Mar 01 2006 - werner@suse.de
- Add new krgb-1.2 patch for gdevijs to fix buffer overflow
* Wed Mar 01 2006 - mfabian@suse.de
- add "Provides: locale(ghostscript-library:ru;bg)" to
  ghostscript-fonts-rus sub-package.
* Tue Feb 28 2006 - werner@suse.de
- Fix a crash if a broken bbox is found in pdf file (bug #152780)
* Fri Feb 10 2006 - werner@suse.de
- Replace cups with cusp-libs for cups-config
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - schwab@suse.de
- Don't strip binaries.
* Fri Jan 13 2006 - werner@suse.de
- Fix crash on writing compressed image in pdfwrite (bug #140387)
- Add cups to build dependencies to get cups-config back
* Thu Jan 12 2006 - werner@suse.de
- Use the gcc stack protector
- Some cleanups
* Tue Dec 20 2005 - werner@suse.de
- Mark and move configuration to /etc/ghostscript/ (bug #140312)
* Mon Dec 19 2005 - werner@suse.de
- Enable libgs.so link
* Wed Sep 28 2005 - werner@suse.de
- Update to current SVN version which includes most of our patches
- Make it install even with norootforbuild
- Enable shared library libgs to get /usr/bin/gs much smaller
- Be sure that out make.catalog script works with this
- Add X11 font path to default library path of ghostscript
* Thu Sep 22 2005 - werner@suse.de
- The new vector device force bbox device to use alloc (#118205)
* Wed Aug 31 2005 - werner@suse.de
- Fix double free corruption (bug #114056)
- Remove example driver bmpa* accordingly to the docs (bug #114056)
- Fix stupid typecheck error of inferno driver (bug #114068)
- Fix polarity and gcc4 trouble of devicen driver (bug #114068)
- Rotate page dimensions of cljet5 driver (bug #114068)
* Tue Aug 30 2005 - werner@suse.de
- Remove pcx2up example device (#114068)
- Use gs standard for open file and pipes in cgm device (#114068)
  Problem: this driver is IMHO broken even if it writes to pipes
* Mon Aug 29 2005 - werner@suse.de
- Fix buffer overflow in sprintf buffer (bug #113823)
* Thu Aug 25 2005 - werner@suse.de
- Fix color model handling of pcl3 driver for gs 8.15 (bug #112659)
* Wed Aug 24 2005 - mfabian@suse.de
- Bugzilla #104656 revisited: improved patch to help display
  Japanese PDF files produced by Acroread correctly.
  Thanks to Takashi Iwai <tiwai@suse.de> for adapting the patch
  to our ghostscript package.
* Mon Aug 15 2005 - mfabian@suse.de
- Bugzilla #104656: Fix for Ghostscript to render vertical
  Japanese correctly again.
* Thu Jun 30 2005 - werner@suse.de
- Make a real fix of the bjc drivers (bug #90551)
- Make -O1 also available on install section and mini spec
* Wed Jun 29 2005 - uli@suse.de
- build with -O1 on s390* (avoids miscompilation)
* Fri Jun 24 2005 - werner@suse.de
- Fix broken definition of the cinfo structures of lx5000 printer
  driver which also enables the BitsPerPixel option (bug #90551)
* Thu Jun 23 2005 - werner@suse.de
- Switch back to old color model for bjc drivers to re-enable
  the BitsPerPixel option (bug #90551)
* Tue Jun 21 2005 - werner@suse.de
- Do not check for the first directory in LIBPATH for Resources
  but for the first occurance of CMap (bug #91584)
* Wed May 04 2005 - werner@suse.de
- Extend ttfont fix for 64bit architecture (#77399, #78859, #78860)
* Fri Apr 01 2005 - werner@suse.de
- Make gdevcd8-cdj880.c gcc4 clean
* Fri Mar 18 2005 - mfabian@suse.de
- Bugzilla #51778: (Nimbus Roman No9 L looks always bold)
  also fix the .afm files of all "Nimbus Mono L" fonts, they should
  also always contain "IsFixedPitch true".
* Fri Mar 18 2005 - werner@suse.de
- Remove patch junks from library directory
* Thu Mar 17 2005 - werner@suse.de
- Add check for using a pipe for older printer drivers
* Thu Mar 17 2005 - werner@suse.de
- Add A4 paper sizes to print pcl of stp driver (bug #73606)
- Add fix for TrueType Fonts on 64bit architectures
- Add workaround for color switch in ps files for hpdj (bug #72932)
- Fix allocation bug in driver lx5000 (bug #73608)
* Wed Mar 16 2005 - werner@suse.de
- Fix alignment in imagen driver (bug #72929)
- Fix gray mapping in stcolor driver (bug #72931) and maybe in
  hpdj driver (bug #72932)
* Mon Mar 14 2005 - werner@suse.de
- Remove uint cast on pointer adresses which breaks e.g. on ia64
- Add version independent Resource directory
* Thu Mar 10 2005 - werner@suse.de
- Add the driver postscript file for printer mj700v2c to file list
* Tue Mar 08 2005 - werner@suse.de
- Add rc2 patch to get pdf/ps with ttf fonts working
- Also the two printers dj505j and picty180 are back
- Eplaser and other japanese printers is now part of
  esp ghostscript 8.15
- Disable ppc patch for now because rc2 seems to be
  correct fixed in the allocation engine
* Tue Mar 01 2005 - werner@suse.de
- Disable redirection of %%stdout to %%stderr (bug #67027)
* Tue Mar 01 2005 - werner@suse.de
- Move hplip drivers list into a file to build without hplip
* Wed Feb 23 2005 - werner@suse.de
- Remove hpijs which is provided by hplip
- make.catalog and make.lost should use correct gs version
* Wed Feb 23 2005 - werner@suse.de
- For stcolor.ps: the product name is now ESP Ghostscript
* Tue Feb 22 2005 - werner@suse.de
- Use original patch for eplaser with gs 8.15 from Epson
* Mon Feb 21 2005 - werner@suse.de
- Add workaround for broken structure alignment on ppc architecture
* Thu Feb 17 2005 - werner@suse.de
- Update to esp ghostscript 8.15rc1
- Update to eplaser to 3.1.6 (bug #49979)
- Include open printing glue into gs (bug #49978)
- Add many new printers and devices and skip the broken devices
- Skip hpijs program from file list (now part of hplib sub rpm)
* Mon Feb 07 2005 - ro@suse.de
- prevent re-make during make install
* Sat Feb 05 2005 - schwab@suse.de
- Fix building with gcc4.
* Tue Dec 14 2004 - schwab@suse.de
- Fix some invalid casts.
* Wed Dec 08 2004 - werner@suse.de
- Update OMNI part ro 0.9.2
- Fix bug in XML parser
- Skip jobdialog to avoid gtk2/gtkmm2/libsigc++2
* Mon Dec 06 2004 - werner@suse.de
- Switch from gtk/gtkmm/libsigc++ to gtk2/gtkmm2/libsigc++2
* Fri Oct 29 2004 - werner@suse.de
- Move from no to nb for gimp-print library
- Add the fonts to the provide of ghostscript-mini
* Sun Oct 10 2004 - schwab@suse.de
- Fix requires.
* Thu Sep 23 2004 - werner@suse.de
- Make it build even with DEBUG on
* Fri Aug 13 2004 - mfabian@suse.de
- Bugzilla #39451: run SuSEconfig.fonts only if it exists.
* Thu Aug 12 2004 - werner@suse.de
- Use gimpprint-config only once
* Fri Aug 06 2004 - werner@suse.de
- Make Omni knowing about lib64
* Thu Aug 05 2004 - werner@suse.de
- Update to Omni 0.9.1
- Update to HPIJS 1.6.1
- Update to gimp-print 4.2.7
- New package ghostscript-omni for the Omni toolkit
  now installed.
* Wed Jun 30 2004 - werner@suse.de
- Fix const object to const address of object for new gcc
* Fri Jun 04 2004 - werner@suse.de
- Fix name table count issue, force normal allocation (bug #41501)
- Change Epson Stylus page offset fix
- Use chown rpm macro
* Wed Apr 28 2004 - mfabian@suse.de
- Bugzilla #39592: add the directories
  /usr/X11R6/lib/X11/fonts/ /usr/share/fonts/
  to the allowed directories for fonts even when -DPARANOIDSAFER
  is used to make kghostview be able to display CJK PostScript
  documents again.
* Mon Apr 26 2004 - werner@suse.de
- Avoid compiler warning about strict-aliasing
* Wed Apr 14 2004 - werner@suse.de
- Add Epson Stylus page offset fix
- Add cups page counting patch
* Fri Mar 26 2004 - mfabian@suse.de
- more fixes for reopened Bugzilla #36778:
  set "/isFixedPitch true" for all variants of "Nimbus Mono L"
* Wed Mar 24 2004 - werner@suse.de
- Choose initial modular memory chunk size to avoid crash (#35906)
* Wed Mar 24 2004 - mfabian@suse.de
- Bugzilla #36778:
  add gnu-gs-fonts-std-8.11.patch to change the weight of
  "Nimbus Roman No9 L:style=Medium Italic"
  and "Nimbus Roman No9 L:style=Medium" back to "Bold" again
  instead of "Medium".
  As the patch is applied after converting to .pfa, t1utils
  is added to "# neededforbuild".
* Fri Mar 19 2004 - mfabian@suse.de
- ghostscript-fonts-std subpackage:
  run SuSEconfig.fonts in %%post and %%postun,
  use %%suseconfig_fonts_prereq
* Thu Mar 18 2004 - werner@suse.de
- New eplaser 3.1.3 with better support gs-7.x (request of Sun)
* Tue Mar 16 2004 - werner@suse.de
- Fix cast trouble on 64 bit architectures (bug #35798)
* Thu Mar 11 2004 - werner@suse.de
- Change standard fonts from version 6.0 to 8.11 (bug #35699)
* Tue Mar 02 2004 - werner@suse.de
- Simply skip the malloc patch on ppc to fix bug #35028
* Thu Feb 26 2004 - werner@suse.de
- Correct gimp-print version number
- Fix bug #35028 by overwriting the autodetected aligment of jmpbuf
- Add patch for gs_ttf.ps which may help on some 12 cmap ttf fonts
* Wed Feb 11 2004 - werner@suse.de
- Update gimp-print to 4.2.6
- Be sure that _all_ stuff is compiled with -fno-strict-aliasing
- Enable FLAGS even for all trees
- Make aclocal.m4 of Omni more upto date
* Sun Jan 18 2004 - meissner@suse.de
- Fixed some losssage from last autoconf upgrade by removing
  AC_OUTPUT for directories that are not present.
* Wed Jan 14 2004 - werner@suse.de
- Add hijs cahnges for new gcc-3.4 because of trouble with
  referenced objects and simple types.
* Wed Dec 10 2003 - werner@suse.de
- Mask tilde in sed command of ps2epsi script (bug #32488)
* Thu Aug 28 2003 - werner@suse.de
- Move to the cups crash patch from the CUPS team
* Wed Aug 27 2003 - mfabian@suse.de
- Bugzilla #29127: add similar patch to Werner's patch
  which loads Fontmap files with ".runlibfile" only if they exist
  also to the code which loads CIDFnmap files.
* Mon Aug 18 2003 - werner@suse.de
- Fix `-c' option: allow empty space between option and argument
* Fri Aug 15 2003 - kukuk@suse.de
- Add %%verify tag for fonts.{dir,scale} to make rpm -V quiet
- Use %%defattr
* Thu Aug 14 2003 - werner@suse.de
- Update to espgs-7.07.1rc1
- Update to OMNI 0.9.0
- Update to (HP)IJS 1.4.1
* Mon Aug 04 2003 - mfabian@suse.de
- add more fixes from the gs-cjk mailing list to gs_ttf.ps to
  make vertical printing work correctly with the kochi-substitute
  fonts.
* Mon Jul 28 2003 - mfabian@suse.de
- Add gs_ttf.ps-make-kochi-substitute-work.patch from gs-cjk
  mailing list to make ghostscript-cjk work with the
  kochi-substitute fonts.
* Mon Jul 21 2003 - meissner@suse.de
- Added new GLIB search path.
* Thu Jun 12 2003 - kukuk@suse.de
- Fix filelist (add missing directories)
* Tue Jun 10 2003 - okir@suse.de
- security fix for (%%pipe%%) file commands [#27300]
* Wed Jun 04 2003 - ro@suse.de
- also disable pre/post scripts for subpacks in -mini case
* Mon Jun 02 2003 - ro@suse.de
- completely disable subpacks in -mini case
* Mon May 26 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Thu May 15 2003 - kukuk@suse.de
- Fix Filelist (add missing directory)
* Wed May 14 2003 - ro@suse.de
- libtoolize in omni subdir
* Thu May 08 2003 - mfabian@suse.de
- remove gnu-gs-fonts-std-6.0.patch (obsolete, because
  fonts.{dir,scale} are now autogenerated by
  mkfontscale/fonts-config)
- add fonts.scale.nimbus-sans-condensed as an override for
  the condensed versions of "Nimbus Sans" which mkfontscale
  cannot distinguish from the "normal" versions. Maybe this
  can be fixed in future versions of mkfontscale?
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Mar 13 2003 - ro@suse.de
- removed epoch
* Mon Mar 10 2003 - werner@suse.de
- Fix sigsegv within gdevcups.c (bug #24872)
* Tue Mar 04 2003 - werner@suse.de
- Fix buf #23785: include fonts into source rpm due space on DVD
* Fri Feb 28 2003 - werner@suse.de
- Fix Font Resource Path (is not identical to normal fonts path)
* Wed Feb 26 2003 - kssingvo@suse.de
- fixed permissions of cups related files and directories
* Tue Feb 25 2003 - ro@suse.de
- export LC_CTYPE during build
  (works around not specifying charset in message catalogs)
* Mon Feb 24 2003 - ro@suse.de
- fixed build for x86_64 (copy config.sub/guess from Omni for hpijs)
* Thu Feb 20 2003 - werner@suse.de
- Remove lxm3200 driver source because espgs-7.05.6 already
  includes them (bug #23890)
* Mon Feb 17 2003 - mfabian@suse.de
- add "(Fontmap.X11-auto) .runlibfile" to
  /usr/share/ghostscript/*/lib/Fontmap. It's added on top to
  give the autogenerated Fontmap.X11-auto lowest priority. The
  Fontmap files included later may contain manually
  edited/packaged entries and should override anything generated
  automatically.
* Sat Feb 15 2003 - ro@suse.de
- run configure in main src dir to create gs_res.ps
* Fri Feb 14 2003 - werner@suse.de
- Make it build
- Fix bug #23432: use install_info rpm macro
* Thu Feb 13 2003 - werner@suse.de
- Update versions: espgs 7.05.6, Omni 0.7.2, ijs 1.3.1,
  gimp-print 4.2.5
- Fix bug #23266: remove -mminimal-toc from opt flags for ppc64
* Wed Nov 20 2002 - werner@suse.de
- Add switches for the internal mini ghostscript to the spec file
* Wed Nov 13 2002 - mfabian@suse.de
- Bug #18817: Add gs_ttf.ps.patch
  to handle fonts with overlapping CMap 4 ranges
- add gs_ref.ps.patch to set
  FontResourceDir to /usr/share/ghostscript/Resource/Font/ and
  GenericResourceDir to /usr/share/ghostscript/Resource/
- remove sub-package ghostscript-fonts-kanji
- remove all sub-packages CID* and CMap*
  (will come back from a different .spec file)
* Tue Nov 12 2002 - ro@suse.de
- use "x-devel-packages XFree86" instead of "xf86" in neededforbuild
- XFree86 package is needed for mkcfm
* Tue Sep 03 2002 - schwab@suse.de
- Use /dev/urandom instead of /dev/random to avoid blocking if
  system runs out of entropy.
* Tue Sep 03 2002 - kukuk@suse.de
- Remove unused gdb from neededforbuild
* Fri Aug 30 2002 - werner@suse.de
- Fix segmentation fault within cups driver (bug #18475)
- Fix pcl part of gimp-print library (bug #18475)
- Add new driver mainly for japanese market
* Wed Aug 28 2002 - werner@suse.de
- Avoid rpm macro in Version line
* Fri Aug 23 2002 - werner@suse.de
- Fix crash in gimp-print lexmark driver
* Fri Aug 23 2002 - werner@suse.de
- Fix segmentation fault of gs in combination with gv and antialias
  (bug #18091)
* Thu Aug 15 2002 - werner@suse.de
- Fix pre-requires (bug #17849/#17850/#17851)
* Wed Aug 14 2002 - werner@suse.de
- ghostscript-library provides pstoraster (bug #17703)
* Tue Aug 13 2002 - werner@suse.de
- Add missed pstoraster script and gs device cups (bug #17636)
* Fri Aug 09 2002 - meissner@suse.de
- Fixed automake problem in Omni libs.
* Tue Aug 06 2002 - schwab@suse.de
- Fix alignment bug again.
* Tue Aug 06 2002 - meissner@suse.de
- Run libtoolize on Omni, use -mminimal-toc for ppc64.
* Tue Aug 06 2002 - aj@suse.de
- Build ijs with -fPIC so that the lib uses PIC code.
* Mon Aug 05 2002 - werner@suse.de
- Fix library path of the pkgconfig file gimpprint.pc of gimpprint
- Fix description in PBD
* Tue Jul 30 2002 - werner@suse.de
- Update to ESP Ghostscript 7.05.3
  * Add missing/old drivers
- Update to Omni 0.7.0
- Update to gimp-print 4.3.3
- Update to hpijs 1.2
- Make it compile on 32bit and 64bit architectures
* Fri Jul 19 2002 - kukuk@suse.de
- Remove readline-devel and openssl from neededforbuild, currently
  not needed
* Thu Jul 11 2002 - mls@suse.de
- Don't remove URW directory in preinstall if it already is
  a symlink.
* Thu Jul 04 2002 - werner@suse.de
- Diable security setting in ps2epsi.ps ... enabled version
  does not do the work for ps2epsi script (bug # 16739).
* Fri Jun 07 2002 - schwab@suse.de
- Reenable OMNI.
* Fri Jun 07 2002 - ro@suse.de
- use a define for building omni
- fix filelist according to define
* Thu Jun 06 2002 - werner@suse.de
- Disable OMNI part due new gcc seems to break the XML parser
* Mon May 20 2002 - schwab@suse.de
- Fix conflicting types.
- Fix invalid casts.
* Fri May 10 2002 - werner@suse.de
- Fix broken ps2epsi (bug #16146)
* Fri May 10 2002 - ro@suse.de
- complete Omni fix (same code needed in DeviceTester8.cpp)
* Wed May 08 2002 - werner@suse.de
- Reenable OMNI part (thanks to ro@suse.de for THE patch)
* Wed May 08 2002 - werner@suse.de
- Disable OMNI part and wait on a working compiler
* Tue May 07 2002 - werner@suse.de
- Make it compile even on ia64
* Tue Apr 30 2002 - werner@suse.de
- Try to get libgimprint into the correct libdir on 64bits
* Mon Apr 29 2002 - werner@suse.de
- Move -fPIC patch into Omni patch
- Try to resolve all cast's of pointer addresses
* Fri Apr 26 2002 - meissner@suse.de
- added -fPIC to libomni.so compilation, makes x86_64 compile further.
* Thu Mar 21 2002 - mfabian@suse.de
- add entries for 'iso8859-15' to fonts.scale/fonts.dir from
  gnu-gs-fonts-std-6.0.tar.bz2 for all the URW fonts. All URW
  fonts support 'iso8859-15' completely, only the entries are
  missing to make them usable as 'iso8859-15' fonts in X11
  (for example with 'dia').
* Fri Mar 15 2002 - mfabian@suse.de
- readded (Fontmap.greek) .runlibfile to
  /usr/share/ghostscript/6.51/lib/Fontmap. Somehow this entry got
  lost
* Wed Mar 13 2002 - werner@suse.de
- Fix bug in hpijs/ijs interface: Use correct margins and sizes
* Fri Mar 08 2002 - kukuk@suse.de
- Add /usr/share/ghostscript to filelist
* Fri Mar 08 2002 - kukuk@suse.de
- Add %%{_libdir}/ghostscript to filelist
* Thu Mar 07 2002 - werner@suse.de
- Fix nasty space in file name kludge for Omni drivers
* Fri Mar 01 2002 - mfabian@suse.de
- add entries for 'iso8859-2' to fonts.scale/fonts.dir from
  gnu-gs-fonts-std-6.0.tar.bz2 for all the URW fonts. All URW
  fonts support 'iso8859-2' completely, only the entries are
  missing to make them usable as 'iso8859-2' fonts in X11
  (for example with 'dia').
- correct directory name in 'echo' in %%post/%%postun scripts
  for the CID-keyed fonts
* Thu Feb 28 2002 - werner@suse.de
- Fix bug #14034: ghostscript should remove its scratch files from
  /tmp at exit.
* Tue Feb 26 2002 - werner@suse.de
- Remove cups build dependencies
* Fri Feb 22 2002 - werner@suse.de
- Switch to hpijs-1.0.3 compatible with new ijs interface of
  ghostscript 6.53
* Thu Feb 21 2002 - werner@suse.de
- Disable the new IJS setup of ghostscript 6.53: IT DOES NOT WORK
* Tue Feb 19 2002 - werner@suse.de
- Remove cups-drivers-stp from ghostscript main stream, we've
  just an other package
- Do NOT use the new gdevijs.c/gdevijs.h: They do NOT work
  with hpijs-1.0.2
* Mon Feb 18 2002 - schwab@suse.de
- Fix for gcc 3.
* Fri Feb 15 2002 - werner@suse.de
- Update to ghostscript 6.53 including update to gimprint 4.2.0
  due security reasons (PostScript code execution).  Official
  support of ijs and stp (libgimprint), better cjk support.
* Sun Feb 10 2002 - ro@suse.de
- new option for bz2 tar is "j"
* Fri Feb 01 2002 - mfabian@suse.de
- add (Fontmap.greek) .runlibfile to
  /usr/share/ghostscript/6.51/lib/Fontmap (xfntgreek installs
  a /usr/share/ghostscript/6.51/lib/Fontmap.greek)
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 30 2002 - werner@suse.de
- Update of sub drivers
  + Omni-0.5.1
  + hpijs-1.0.2
- Include of sub drivers
  + pcl3-3.3
  + s400a1.upp: Canon S400
  + s400b1.upp: Canon S400
  + sharp_aj1800.upp: SHARP AJ1800
  + eplaseren-1.0.4 adapted to ghostscript 6.51
  + samsung-gdi with renaming DEVICE from `gdi' to `samsunggdi'
- Fix make.catalog and make.lost to use gs_serv instead of gs_both
* Tue Jan 29 2002 - sndirsch@suse.de
- reverted URW changes; /usr/X11R6/lib/X11/fonts/URW is now a link
  again to /usr/share/ghostscript/fonts; problems with .gsf files
  now fixed in freetype2 lib
* Wed Jan 23 2002 - sndirsch@suse.de
- added the symbolic links in /usr/X11R6/lib/X11/fonts/URW to the
  correct font package
* Fri Jan 18 2002 - ro@suse.de
- fixed postinstall
* Thu Jan 17 2002 - sndirsch@suse.de
- replaced /usr/X11R6/lib/X11/fonts/URW link with a directory in
  which there are links to ghostscript Type1 fonts; fixes bug
  in freetype2 library, which is triggered by .gsf files
* Wed Jan 16 2002 - froh@suse.de
- added lib64 conformance
* Sun Jan 13 2002 - mfabian@suse.de
- remove %%post and %%postun for CID-keyed fonts, it is enough
  when SuSEconfig updates the font directory, better don't
  duplicate the code here.
* Sat Nov 10 2001 - ro@suse.de
- removed subpackages _both and _vga since svgalib is dropped
* Tue Oct 16 2001 - werner@suse.de
- Make Omni source compiling even with gcc 3.0 compiler
* Sat Oct 13 2001 - bjacke@suse.de
- don't build gimpprint plugin (autobuild slowdown due to gtk dependency)
* Sun Oct 07 2001 - bjacke@suse.de
- new subpackages libgimpprint(-devel), gimpprint
- now build gimpprint with-cups as cups needs gimpprint support,
  this stuff is in subpackage cups-drivers-stp
- build with-gimp: Gimp's print plugin is now in a separate package
  and linked against libgimpprint
* Fri Sep 07 2001 - werner@suse.de
- Add upp file for Sharp AJ1800
* Tue Aug 14 2001 - werner@suse.de
- Disable readline option due this one leads to chrashes
  if inlined graphic is used.
* Mon Aug 13 2001 - mfabian@suse.de
- activated the entries for the CID-keyed fonts which were
  commented out in Fontmap.CID because they crashed gs 5.50.
  gs 6.51 handles this fine, we can now use these entries.
* Tue Jul 31 2001 - schwab@suse.de
- Make sure the ghostscript allocator properly aligns for jmp_buf (needed
  on ia64).
* Tue Jul 24 2001 - kukuk@suse.de
- Add old provides back
* Mon Jul 23 2001 - werner@suse.de
- Bug fixes: find Fontmaps even if not in current directory
- Correct dependencies
* Fri Jul 06 2001 - werner@suse.de
- Use target cpu instead of architecture
* Fri Jul 06 2001 - werner@suse.de
- Minor fixes for multi architecture build runs
* Thu Jul 05 2001 - werner@suse.de
- Update to GNU ghostscript 6.51
- Update to Omi 0.3.1
- Update to gimp print 4.1.10
- Add several uniprint epson parameter files
- Split gdevcd8.c into gdevcd8-cdj880.c, gdevcd8-chp2200.c, and
  the new original gdevcd8.c.
- Rename packages into long name versions
- Make it work
* Tue May 08 2001 - mfabian@suse.de
- bzip2 most sources
* Thu May 03 2001 - werner@suse.de
- Update hpijs drvire from 0.93 to 0.95
- Add chp2200 driver
* Tue Apr 17 2001 - werner@suse.de
- Fix manual page: tab as pre-processor needed
* Wed Apr 11 2001 - werner@suse.de
- Use LD_RUN_PATH to set /usr/lib/ghostscript/ as loading
  path for Omni modules
* Tue Apr 10 2001 - werner@suse.de
- Add Omni driver collection, integrate and test them
- Add pdf_sec.ps
* Fri Mar 30 2001 - uli@suse.de
- replaced hardwired endianness in hpijs with sth more sensible
* Mon Mar 26 2001 - werner@suse.de
- Update of hpijs driver package
* Wed Mar 07 2001 - werner@suse.de
- We need a full X environment at build
* Thu Feb 22 2001 - werner@suse.de
- Add hpijs driver package
* Wed Dec 20 2000 - ro@suse.de
- reduce size of source-package by marking adobe-fonts as NoSource
* Wed Dec 20 2000 - werner@suse.de
- Mark all fonts archives as NoSource
- Update manual page of stp driver to fit new version
* Tue Dec 19 2000 - egger@suse.de
- Updated the stp driver to 4.1.0.
* Tue Nov 28 2000 - mfabian@suse.de
- improved %%post and %%postun scripts for CID-keyed fonts:
  don't try to run mkfontdir during the install of the whole
  operating system.
* Tue Nov 28 2000 - mfabian@suse.de
- when adding the .cfm files I made a mistake in generating
  the filelists which resulted in not packing the .cfm files and
  .afm files at all. This makes the use of these fonts really
  slow. Now fixed.
* Mon Nov 27 2000 - mfabian@suse.de
- added the Fontmap entries for the free CID keyed fonts from
  Adobe again. They seem to have been lost during merging.
* Mon Nov 27 2000 - mfabian@suse.de
- generated .cfm files for CID-keyed fonts with mkcfm
- shortened Fontmaps for CID-keyed fonts to avoid crashes of
  gs 5.50
* Thu Nov 23 2000 - werner@suse.de
- make mandir during install dynamically
* Wed Nov 22 2000 - werner@suse.de
- Use returned file descriptor of mkstemp(3) with fdopen(3)
* Wed Nov 15 2000 - werner@suse.de
- Correct return type of declared mkstemp(3)
* Wed Nov 15 2000 - werner@suse.de
- New meta driver stp
- Add driver for lexmark 7000, 5700, 3200, and 2050
- Use mkstemp and not mktemp
- Remove LD_RUN_PATH
* Fri Nov 10 2000 - mfabian@suse.de
- added free CID keyed sample fonts from Adobe.
  (Korean, Japanese, and traditional Chinese)
- made these fonts available for X11 too.
* Wed Sep 27 2000 - mfabian@suse.de
- added Korean Munhwa fonts (CID keyed fonts).
* Wed Jun 21 2000 - werner@suse.de
- New driver for HP 970Cxi, bjc6000/bjc6100
* Sat May 27 2000 - kukuk@suse.de
- use docdir macro
* Wed Apr 05 2000 - bk@suse.de
- added s390 to non-svgalib architectures
* Mon Mar 06 2000 - schwab@suse.de
- Don't build gs_vga and gs_both on ia64.
* Wed Feb 23 2000 - werner@suse.de
- Swap tranfer curves of Cyan and Magenta
* Tue Feb 22 2000 - werner@suse.de
- Install gs_both
* Mon Feb 21 2000 - werner@suse.de
- Remove CMYK color patch: on some devices it fails
* Mon Feb 21 2000 - werner@suse.de
- New version 5.50 with many bug fixes
- New drivers (cdj880, cljet5, dl2100, oki4w, stc740*.upp)
* Sat Nov 27 1999 - kukuk@suse.de
- Don't build gs_both/gs_svga on SPARC (no svgalib)
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 20 1999 - ro@suse.de
- added Provides/Requires ghostscript_any ghostscript_x11
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 08 1999 - werner@suse.de
- fix png.h path
* Fri Jun 18 1999 - werner@suse.de
- Backport of a bug fix for 5.50
* Fri Apr 16 1999 - werner@suse.de
- last character is ; at the end of a font declaration
* Fri Apr 16 1999 - werner@suse.de
- Insert missing %% into spec
* Tue Apr 13 1999 - werner@suse.de
- Add russian fonts
* Thu Mar 18 1999 - ro@suse.de
- fixed spec
* Fri Mar 05 1999 - werner@suse.de
- Use Type1 fonts of ghostscript for X11
* Tue Feb 23 1999 - werner@suse.de
- Again backport of some bug fixes for gs5.50
- Hold our, the official fixes, and the backports in different patches
* Mon Jan 11 1999 - werner@suse.de
- Backport some bug fixes for gs5.50
* Sun Dec 20 1998 - werner@suse.de
- New ghostscript GNU version 5.10
* Fri Dec 04 1998 - werner@suse.de
- New hpdj driver 2.5
* Fri Nov 13 1998 - bs@suse.de
- fixed spec file (doubel entry Summary)
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Mon Oct 19 1998 - werner@suse.de
- Add kanji fonts
* Thu Oct 15 1998 - werner@suse.de
- Small fix: allow 720 DPI for bjc600/800
* Wed Oct 14 1998 - werner@suse.de
- Backport a bug into bjc600/800 driver:
  possible resolutions for bjc800 are 150/300/600
* Tue Aug 04 1998 - werner@suse.de
- Backport some bug fixes of gs5.10
* Thu Jul 09 1998 - werner@suse.de
- Fix ps2epsi exploit
* Mon Jul 06 1998 - werner@suse.de
- New hp850 driver: hp8xx (including HP 855, 870 670, 690, 890,
  1100, and 1600)
	- Use shared libraries vor png and zlib.
* Thu Jun 18 1998 - werner@suse.de
- Change from  Aladdin 4.03 to GNU 40.3
	- Some Bug fixes
	- NewNew driver hl7x0 for Brother HL720 and HL730
* Fri May 15 1998 - werner@suse.de
- Update the hpdj drivers (2.4)
	- Add gdev820c (0.1.3, 0.2 may unstable)
* Tue Feb 24 1998 - werner@suse.de
- Update hpdj driver to version 2.3
	- Fix path in manual pages
	- Use 24 bit color depth for cdeskjet
	- Use BJC-600/800 driver version 6/7/96
	- Add missing start lines of PS files,
  add path for cheq.ps in chess.ps
	- Fix of zmedia2.c (comming with hpdj)
	- Add -Dconst= in compile options
	- Some minor changes
* Tue Jul 29 1997 - werner@suse.de
- Change default type of hpdj driver to unspec
* Thu Jun 26 1997 - werner@suse.de
- 42 ... type42
* Mon Jun 23 1997 - werner@suse.de
- Add hpdj printer driver
	- Use -DA4 for compile the binary
* Mon Feb 10 1997 - werner@suse.de
- Some Bug fixes for 4.03 integrated
	- New experimental driver for hp djet 850 added
  read /usr/share/ghostscript/4.03/doc/hp850.txt
* Thu Jan 02 1997 - werner@suse.de
- Update auf Version 4.03
